%define api 1.0
%define major 0
%define libname %mklibname peas %major
%define libnamegtk %mklibname peas-gtk %major
%define develname %mklibname -d peas

%define build_gtk3 1

Name:           libpeas
Version:        1.34.0
Release:        %mkrel 1
Summary:        Library for plugin handling
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%if %build_gtk3
BuildRequires:  gtk+3-devel
%endif
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libpthread-stubs
BuildRequires:  python-gobject3-devel
BuildRequires:  python3-gobject3-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  lib64gladeui2-devel
BuildRequires:  lib64python3-devel

Obsoletes:      %name < %version

%description
This is GNOME's plugin handling library.

%package data
Summary:	      Library for plugin handling - data files
Group:		      System/Libraries

%description data
This is GNOME's plugin handling library - data files

%package -n %{libname}
Summary:	      Library plugin handling
Group:		      System/Libraries
Requires:       %name-data >= %version
Requires:       glibc >= 2.33

%description -n %{libname}
This is GNOME's plugin handling library.

%package -n %{libnamegtk}
Summary:	      Library plugin handling UI part
Group:		      System/Libraries
Requires:       %name-data >= %version
Requires:       glibc >= 2.33

%description -n %{libnamegtk}
This is GNOME's plugin handling library - user interface part.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libnamegtk} = %{version}-%{release}
Provides:       %name-devel = %version-%release

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build

%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dpython2=true \
  -Dpython3=true \
  -Dgtk_doc=false
  
%meson_build

%install
%meson_install


# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{api}

%clean
rm -rf $RPM_BUILD_ROOT

%files data -f %{name}-%{api}.lang
%defattr(-,root,root,-)
%_datadir/icons/hicolor/*/actions/*
%_datadir/glade/catalogs/libpeas-gtk.xml

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libpeas-%api.so.%{major}*
%_libdir/%name-%api/loaders/*

%files -n %libnamegtk
%defattr(-,root,root,-)
%{_libdir}/libpeas-gtk-%api.so.%{major}*
%{_libdir}/girepository-1.0/*.typelib

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-%api.pc
%{_libdir}/pkgconfig/%{name}-gtk-%api.pc
%{_datadir}/gir-1.0/*.gir

%changelog
* Tue Sep 20 2022 tex - 1.34.0-1pclos2022
- new version

* Tue Aug 16 2022 tex - 1.30.0-2pclos2022
- rebuild against python 3.10

* Tue Apr 06 2021 tex - 1.30.0-1pclos2021
- new version

* Mon Sep 14 2020 tex - 1.28.0-1pclos2020
- new version

* Sat Mar 07 2020 tex - 1.26.0-1pclos2020
- new version

* Tue Oct 29 2019 tex - 1.24.1-1pclos2019
- new version

* Tue Sep 10 2019 tex - 1.24.0-1pclos2019
- new version

* Mon Apr 23 2018 marcin82 <fixxer1982 at gmail.com> 1.22.0-1pclos2018
- update

* Sat Jan 13 2018 Zen Subz <techars21 at gmail dot com> - 1.8.1-1pclos2018
- Update to v1.8.1

* Thu Apr 18 2013 Texstar <texstar at gmail.com> 1.8.0-1pclos2013
- 1.8.0

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 1.0.0-2pclos2011
- add back gir

* Tue Apr 05 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- import into pclos 2011 based on specfile from mdv
